Subject: Re: bug#30978: 25.3; Suggestion: define-minor-mode should define mode-lighter variable

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Jun 2021 16:27:51 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>>> I think this makes sense -- define-minor-mode would define a
>>> buffer-local variable, I guess, that the users could set to change the
>>> lighter?
>>>
>>> Like...  `FOO-mode-lighter' or something?  Any opinions?
>>
>> Yes, it sounds like a good idea.
>>
>> I'm not sure why you propose that it should be buffer-local though.
>> Wouldn't one want to configure this globally by default?
>
> Hm...  yes, a global variable makes more sense.  I was thinking that
> somebody would want a different lighter in different buffers, but that
> does sound rather unlikely.

Does anybody else have an opinion here?  The suggestion is to make
define-minor-mode define a `foo-mode-lighter' variable that users can
then change to easily change the lighters.

Or do we have a separate mechanism for this somewhere?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no